Index: ./pkgtools/libnbcompat/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/libnbcompat/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./pkgtools/libnbcompat/buildlink3.mk	11 Sep 2004 19:05:16 -0000	1.12
+++ ./pkgtools/libnbcompat/buildlink3.mk	4 Apr 2006 06:26:55 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	libnbcompat
 
 .if !empty(LIBNBCOMPAT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libnbcompat+=		libnbcompat>=20040911
+BUILDLINK_API_DEPENDS.libnbcompat+=		libnbcompat>=20040911
 BUILDLINK_PKGSRCDIR.libnbcompat?=	../../pkgtools/libnbcompat
 BUILDLINK_DEPMETHOD.libnbcompat?=	build
 BUILDLINK_LDADD.libnbcompat=		-lnbcompat
Index: ./pkgtools/pkg_install/files/add/perform.c
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/pkg_install/files/add/perform.c,v
retrieving revision 1.38
diff -u -r1.38 perform.c
--- ./pkgtools/pkg_install/files/add/perform.c	13 Mar 2006 22:08:22 -0000	1.38
+++ ./pkgtools/pkg_install/files/add/perform.c	4 Apr 2006 06:26:56 -0000
@@ -157,6 +157,8 @@
 			    buildinfo[BI_MACHINE_ARCH] = strdup(line);
 			else if (strcmp(key, "IGNORE_RECOMMENDED") == 0)
 			    buildinfo[BI_IGNORE_RECOMMENDED] = strdup(line);
+			else if (strcmp(key, "USE_ABI_DEPENDS") == 0)
+			    buildinfo[BI_USE_ABI_DEPENDS] = strdup(line);
 		}
 	}
 	(void) fclose(fp);
@@ -471,12 +473,15 @@
 		}
 	}
 
-	/* Check if IGNORE_RECOMMENDED was set when this package was built. */
+	/* Check if USE_ABI_DEPENDS or IGNORE_RECOMMENDED was set
+	 * when this package was built. IGNORE_RECOMMENDED is historical. */
 
-	if (buildinfo[BI_IGNORE_RECOMMENDED] != NULL &&
-	    strcasecmp(buildinfo[BI_IGNORE_RECOMMENDED], "NO") != 0) {
+	if ((buildinfo[BI_USE_ABI_DEPENDS] != NULL &&
+	    strcasecmp(buildinfo[BI_USE_ABI_DEPENDS], "YES") != 0) ||
+	    (buildinfo[BI_RECOMMENDED] != NULL &&
+	    strcasecmp(buildinfo[BI_IGNORE_RECOMMENDED], "NO") != 0)) {
 		warnx("%s was built", pkg);
-		warnx("\t to ignore recommended dependencies, this may cause problems!\n");
+		warnx("\t to ignore recommended ABI dependencies, this may cause problems!\n");
 	}
 
 	/*
Index: ./pkgtools/pkg_install/files/add/pkg_add.cat1
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/pkg_install/files/add/pkg_add.cat1,v
retrieving revision 1.15
diff -u -r1.15 pkg_add.cat1
--- ./pkgtools/pkg_install/files/add/pkg_add.cat1	5 Nov 2005 13:20:09 -0000	1.15
+++ ./pkgtools/pkg_install/files/add/pkg_add.cat1	4 Apr 2006 06:26:56 -0000
@@ -222,7 +222,7 @@
                 is overridable with the --ff flag.
 
            7.   The package build information from _+_B_U_I_L_D___I_N_F_O is then checked
-                for IGNORE_RECOMMENDED.  If the package was built with depen-
+                for IGNORE_ABI_DEPENDS.  If the package was built with depen-
                 dency recommendations ignored, a warning will be issued.
 
            8.   If the package contains a _r_e_q_u_i_r_e script (see pkg_create(1)),
Index: ./pkgtools/pkg_install/files/lib/lib.h
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/pkg_install/files/lib/lib.h,v
retrieving revision 1.21
diff -u -r1.21 lib.h
--- ./pkgtools/pkg_install/files/lib/lib.h	6 Dec 2005 01:08:09 -0000	1.21
+++ ./pkgtools/pkg_install/files/lib/lib.h	4 Apr 2006 06:26:56 -0000
@@ -228,8 +228,9 @@
 	BI_OPSYS,		/*  0 */
 	BI_OS_VERSION,		/*  1 */
 	BI_MACHINE_ARCH,	/*  2 */
-	BI_IGNORE_RECOMMENDED,	/*  3 */
-	BI_ENUM_COUNT		/*  4 */
+	BI_RECOMMENDED,		/*  3 */
+	BI_ENUM_COUNT,		/*  4 */
+	BI_USE_ABI_DEPENDS,	/*  5 */
 }	bi_ent_t;
 
 /* Types */
Index: ./pkgtools/pkglint/files/pkglint.pl
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/pkglint/files/pkglint.pl,v
retrieving revision 1.549
diff -u -r1.549 pkglint.pl
--- ./pkgtools/pkglint/files/pkglint.pl	12 Mar 2006 16:55:51 -0000	1.549
+++ ./pkgtools/pkglint/files/pkglint.pl	4 Apr 2006 06:26:57 -0000
@@ -1452,7 +1452,7 @@
 		.*_SED
 		.*_SKIP
 		BUILDLINK_LDADD
-		BUILDLINK_RECOMMENDED
+		BUILDLINK_ABI_DEPENDS
 		COMMENT
 		EXTRACT_ONLY
 		GENERATE_PLIST
@@ -3499,7 +3499,7 @@
 	if ($op eq "?=" && defined($seen_bsd_prefs_mk) && !$seen_bsd_prefs_mk) {
 		if ($varbase eq "BUILDLINK_PKGSRCDIR"
 		    || $varbase eq "BUILDLINK_DEPMETHOD"
-		    || $varbase eq "BUILDLINK_RECOMMENDED") {
+		    || $varbase eq "BUILDLINK_ABI_DEPENDS") {
 			# FIXME: What about these ones? They occur quite often.
 		} else {
 			$opt_warn_extra and $line->log_warning("Please include \"../../mk/bsd.prefs.mk\" before using \"?=\".");
Index: ./pkgtools/revbump/DESCR
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/revbump/DESCR,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 DESCR
--- ./pkgtools/revbump/DESCR	5 Jan 2005 00:31:38 -0000	1.1.1.1
+++ ./pkgtools/revbump/DESCR	4 Apr 2006 06:26:57 -0000
@@ -1,4 +1,4 @@
-Tools for bumping PKGREVISIONs and adapting BUILDLINK_RECOMMENDED
+Tools for bumping PKGREVISIONs and adapting BUILDLINK_ABI_DEPENDS
 versions to the latest version automatically.
 
 This tool is mostly intended for pkgsrc developers with commit
Index: ./pkgtools/revbump/files/blbump
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/revbump/files/blbump,v
retrieving revision 1.3
diff -u -r1.3 blbump
--- ./pkgtools/revbump/files/blbump	9 Mar 2006 17:24:48 -0000	1.3
+++ ./pkgtools/revbump/files/blbump	4 Apr 2006 06:26:57 -0000
@@ -89,11 +89,11 @@
 
     $done = 0;
     while (<OLDBL>) {
-        if ($done == 0 && /^(BUILDLINK_RECOMMENDED.+=[ \t]+)(.+)$/) {
+        if ($done == 0 && /^(BUILDLINK_ABI_DEPENDS.+=[ \t]+)(.+)$/) {
             print NEWBL "$1$pkgver\n";
 	    $done = 1;
         } elsif ($done == 0 && /^BUILDLINK_PKGSRCDIR(.*=[ \t]+)/) {
-            print NEWBL "BUILDLINK_RECOMMENDED${1}$pkgver\n";
+            print NEWBL "BUILDLINK_ABI_DEPENDS${1}$pkgver\n";
             print NEWBL $_;
             $done = 1;
         } else {
Index: ./pkgtools/x11-links/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/pkgtools/x11-links/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./pkgtools/x11-links/buildlink3.mk	10 Jun 2005 03:44:07 -0000	1.4
+++ ./pkgtools/x11-links/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -17,7 +17,7 @@
 BUILDLINK_PACKAGES:=	x11-links ${BUILDLINK_PACKAGES}
 
 .if !empty(X11_LINKS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.x11-links+=	x11-links>=0.25
+BUILDLINK_API_DEPENDS.x11-links+=	x11-links>=0.25
 BUILDLINK_PKGSRCDIR.x11-links?=	../../pkgtools/x11-links
 BUILDLINK_DEPMETHOD.x11-links?=	build
 
Index: ./print/a2ps/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/a2ps/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./print/a2ps/buildlink3.mk	5 Feb 2006 23:10:35 -0000	1.2
+++ ./print/a2ps/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	a2ps
 
 .if !empty(A2PS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.a2ps+=	a2ps>=4.13.0.2nb4
-BUILDLINK_RECOMMENDED.a2ps?=	a2ps>=4.13.0.2nb10
+BUILDLINK_API_DEPENDS.a2ps+=	a2ps>=4.13.0.2nb4
+BUILDLINK_ABI_DEPENDS.a2ps?=	a2ps>=4.13.0.2nb10
 BUILDLINK_PKGSRCDIR.a2ps?=	../../print/a2ps
 .endif	# A2PS_BUILDLINK3_MK
 
Index: ./print/cups/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/cups/buildlink3.mk,v
retrieving revision 1.14
diff -u -r1.14 buildlink3.mk
--- ./print/cups/buildlink3.mk	5 Feb 2006 23:10:35 -0000	1.14
+++ ./print/cups/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	cups
 
 .if !empty(CUPS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.cups+=	cups>=1.1.19nb3
-BUILDLINK_RECOMMENDED.cups+=	cups>=1.1.23nb6
+BUILDLINK_API_DEPENDS.cups+=	cups>=1.1.19nb3
+BUILDLINK_ABI_DEPENDS.cups+=	cups>=1.1.23nb6
 BUILDLINK_PKGSRCDIR.cups?=	../../print/cups
 .endif	# CUPS_BUILDLINK3_MK
 
Index: ./print/dvipng/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/dvipng/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- ./print/dvipng/Makefile	5 Mar 2006 16:27:28 -0000	1.21
+++ ./print/dvipng/Makefile	4 Apr 2006 06:26:57 -0000
@@ -14,7 +14,7 @@
 
 INFO_FILES=		dvipng.info
 
-BUILDLINK_DEPENDS.freetype2?=	freetype2>=2.1.3
+BUILDLINK_API_DEPENDS.freetype2?=	freetype2>=2.1.3
 
 .include "../../graphics/freetype2/buildlink3.mk"
 .include "../../graphics/gd/buildlink3.mk"
Index: ./print/gimp-print-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/gimp-print-lib/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./print/gimp-print-lib/buildlink3.mk	5 Feb 2006 23:10:37 -0000	1.5
+++ ./print/gimp-print-lib/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gimp-print-lib
 
 .if !empty(GIMP_PRINT_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gimp-print-lib+=	gimp-print-lib>=4.2.5nb1
-BUILDLINK_RECOMMENDED.gimp-print-lib+=	gimp-print-lib>=4.2.7nb2
+BUILDLINK_API_DEPENDS.gimp-print-lib+=	gimp-print-lib>=4.2.5nb1
+BUILDLINK_ABI_DEPENDS.gimp-print-lib+=	gimp-print-lib>=4.2.7nb2
 BUILDLINK_PKGSRCDIR.gimp-print-lib?=	../../print/gimp-print-lib
 .endif	# GIMP_PRINT_LIB_BUILDLINK3_MK
 
Index: ./print/gnome-print/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/gnome-print/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./print/gnome-print/buildlink3.mk	5 Feb 2006 23:10:37 -0000	1.3
+++ ./print/gnome-print/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	gnome-print
 
 .if !empty(GNOME_PRINT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.gnome-print+=	gnome-print>=0.36nb4
-BUILDLINK_RECOMMENDED.gnome-print+=	gnome-print>=0.37nb1
+BUILDLINK_API_DEPENDS.gnome-print+=	gnome-print>=0.36nb4
+BUILDLINK_ABI_DEPENDS.gnome-print+=	gnome-print>=0.37nb1
 BUILDLINK_PKGSRCDIR.gnome-print?=	../../print/gnome-print
 .endif	# GNOME_PRINT_BUILDLINK3_MK
 
Index: ./print/ijs/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/ijs/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./print/ijs/buildlink3.mk	5 Feb 2006 23:10:37 -0000	1.3
+++ ./print/ijs/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ijs
 
 .if !empty(IJS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ijs+=	ijs>=0.34
-BUILDLINK_RECOMMENDED.ijs+=	ijs>=0.34nb2
+BUILDLINK_API_DEPENDS.ijs+=	ijs>=0.34
+BUILDLINK_ABI_DEPENDS.ijs+=	ijs>=0.34nb2
 BUILDLINK_PKGSRCDIR.ijs?=	../../print/ijs
 .endif	# IJS_BUILDLINK3_MK
 
Index: ./print/ja-vflib-lib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/ja-vflib-lib/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./print/ja-vflib-lib/buildlink3.mk	5 Feb 2006 23:10:37 -0000	1.3
+++ ./print/ja-vflib-lib/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	ja-vflib-lib
 
 .if !empty(JA_VFLIB_LIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.ja-vflib-lib+=	ja-vflib-lib>=2.24.2
-BUILDLINK_RECOMMENDED.ja-vflib-lib+=	ja-vflib-lib>=2.24.2nb2
+BUILDLINK_API_DEPENDS.ja-vflib-lib+=	ja-vflib-lib>=2.24.2
+BUILDLINK_ABI_DEPENDS.ja-vflib-lib+=	ja-vflib-lib>=2.24.2nb2
 BUILDLINK_PKGSRCDIR.ja-vflib-lib?=	../../print/ja-vflib-lib
 .endif	# JA_VFLIB_LIB_BUILDLINK3_MK
 
Index: ./print/ja-vflib-utils/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/ja-vflib-utils/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- ./print/ja-vflib-utils/Makefile	5 Feb 2006 23:10:37 -0000	1.9
+++ ./print/ja-vflib-utils/Makefile	4 Apr 2006 06:26:57 -0000
@@ -6,7 +6,7 @@
 PKGREVISION=	2
 COMMENT=	Utilities for manipulating VFlib vector font files
 
-BUILDLINK_DEPENDS.vflib+=	ja-vflib-lib>=${VFLIB_VERSION}
+BUILDLINK_API_DEPENDS.vflib+=	ja-vflib-lib>=${VFLIB_VERSION}
 
 CONFIGURE_ARGS+=	--enable-tools --with-x
 
Index: ./print/libgnomecups/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/libgnomecups/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./print/libgnomecups/buildlink3.mk	5 Feb 2006 23:10:38 -0000	1.5
+++ ./print/libgnomecups/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomecups
 
 .if !empty(LIBGNOMECUPS_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomecups+=	libgnomecups>=0.2.0
-BUILDLINK_RECOMMENDED.libgnomecups?=	libgnomecups>=0.2.2nb2
+BUILDLINK_API_DEPENDS.libgnomecups+=	libgnomecups>=0.2.0
+BUILDLINK_ABI_DEPENDS.libgnomecups?=	libgnomecups>=0.2.2nb2
 BUILDLINK_PKGSRCDIR.libgnomecups?=	../../print/libgnomecups
 .endif	# LIBGNOMECUPS_BUILDLINK3_MK
 
Index: ./print/libgnomeprint/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/libgnomeprint/Makefile,v
retrieving revision 1.47
diff -u -r1.47 Makefile
--- ./print/libgnomeprint/Makefile	5 Feb 2006 23:10:38 -0000	1.47
+++ ./print/libgnomeprint/Makefile	4 Apr 2006 06:26:57 -0000
@@ -18,7 +18,7 @@
 USE_LIBTOOL=		YES
 GNU_CONFIGURE=		YES
 
-BUILDLINK_DEPENDS.freetype2+=	freetype2>=2.1.4
+BUILDLINK_API_DEPENDS.freetype2+=	freetype2>=2.1.4
 
 PKGCONFIG_OVERRIDE=	libgnomeprint/libgnomeprint-2.2.pc.in
 
Index: ./print/libgnomeprint/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/libgnomeprint/buildlink3.mk,v
retrieving revision 1.9
diff -u -r1.9 buildlink3.mk
--- ./print/libgnomeprint/buildlink3.mk	5 Feb 2006 23:10:38 -0000	1.9
+++ ./print/libgnomeprint/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	libgnomeprint
 
 .if !empty(LIBGNOMEPRINT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomeprint+=	libgnomeprint>=2.8.0
-BUILDLINK_RECOMMENDED.libgnomeprint+=	libgnomeprint>=2.12.1nb2
+BUILDLINK_API_DEPENDS.libgnomeprint+=	libgnomeprint>=2.8.0
+BUILDLINK_ABI_DEPENDS.libgnomeprint+=	libgnomeprint>=2.12.1nb2
 BUILDLINK_PKGSRCDIR.libgnomeprint?=	../../print/libgnomeprint
 .endif	# LIBGNOMEPRINT_BUILDLINK3_MK
 
Index: ./print/libgnomeprintui/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/libgnomeprintui/Makefile,v
retrieving revision 1.42
diff -u -r1.42 Makefile
--- ./print/libgnomeprintui/Makefile	5 Feb 2006 23:10:38 -0000	1.42
+++ ./print/libgnomeprintui/Makefile	4 Apr 2006 06:26:57 -0000
@@ -23,7 +23,7 @@
 CONFIGURE_ARGS+=	--enable-gtk-doc=no
 CONFIGURE_ARGS+=	--with-html-dir=${PREFIX}/share/doc
 
-BUILDLINK_DEPENDS.libgnomeprint+=	libgnomeprint>=2.12.1
+BUILDLINK_API_DEPENDS.libgnomeprint+=	libgnomeprint>=2.12.1
 
 .include "../../devel/gettext-lib/buildlink3.mk"
 .include "../../devel/GConf2/buildlink3.mk"
Index: ./print/libgnomeprintui/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/libgnomeprintui/buildlink3.mk,v
retrieving revision 1.8
diff -u -r1.8 buildlink3.mk
--- ./print/libgnomeprintui/buildlink3.mk	5 Feb 2006 23:10:38 -0000	1.8
+++ ./print/libgnomeprintui/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	libgnomeprintui
 
 .if !empty(LIBGNOMEPRINTUI_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.libgnomeprintui+=	libgnomeprintui>=2.8.0
-BUILDLINK_RECOMMENDED.libgnomeprintui+=	libgnomeprintui>=2.12.1nb2
+BUILDLINK_API_DEPENDS.libgnomeprintui+=	libgnomeprintui>=2.8.0
+BUILDLINK_ABI_DEPENDS.libgnomeprintui+=	libgnomeprintui>=2.12.1nb2
 BUILDLINK_PKGSRCDIR.libgnomeprintui?=	../../print/libgnomeprintui
 .endif	# LIBGNOMEPRINTUI_BUILDLINK3_MK
 
Index: ./print/lilypond/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/lilypond/Makefile,v
retrieving revision 1.42
diff -u -r1.42 Makefile
--- ./print/lilypond/Makefile	21 Mar 2006 06:00:48 -0000	1.42
+++ ./print/lilypond/Makefile	4 Apr 2006 06:26:57 -0000
@@ -13,7 +13,7 @@
 DEPENDS+=	ec-fonts-mftraced-[0-9]*:../../fonts/ec-fonts-mftraced
 BUILD_DEPENDS+=	bison>=1.875nb1:../../devel/bison
 
-BUILDLINK_DEPENDS.mftrace+=	mftrace>=1.1.0
+BUILDLINK_API_DEPENDS.mftrace+=	mftrace>=1.1.0
 
 GNU_CONFIGURE=		YES
 USE_PKGLOCALEDIR=	YES
Index: ./print/pdflib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/pdflib/buildlink3.mk,v
retrieving revision 1.7
diff -u -r1.7 buildlink3.mk
--- ./print/pdflib/buildlink3.mk	5 Feb 2006 23:10:38 -0000	1.7
+++ ./print/pdflib/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	pdflib
 
 .if !empty(PDFLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pdflib+=	pdflib>=4.0.3nb2
-BUILDLINK_RECOMMENDED.pdflib+=	pdflib>=4.0.3nb6
+BUILDLINK_API_DEPENDS.pdflib+=	pdflib>=4.0.3nb2
+BUILDLINK_ABI_DEPENDS.pdflib+=	pdflib>=4.0.3nb6
 BUILDLINK_PKGSRCDIR.pdflib?=	../../print/pdflib
 .endif	# PDFLIB_BUILDLINK3_MK
 
Index: ./print/poppler/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/poppler/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./print/poppler/buildlink3.mk	9 Mar 2006 01:19:16 -0000	1.5
+++ ./print/poppler/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	poppler
 
 .if !empty(POPPLER_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.poppler+=	poppler>=0.4.5nb1
+BUILDLINK_API_DEPENDS.poppler+=	poppler>=0.4.5nb1
 BUILDLINK_PKGSRCDIR.poppler?=	../../print/poppler
 .endif	# POPPLER_BUILDLINK3_MK
 
Index: ./print/poppler-glib/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/poppler-glib/Makefile,v
retrieving revision 1.2
diff -u -r1.2 Makefile
--- ./print/poppler-glib/Makefile	9 Mar 2006 01:15:58 -0000	1.2
+++ ./print/poppler-glib/Makefile	4 Apr 2006 06:26:57 -0000
@@ -28,7 +28,7 @@
 	${INSTALL_DATA} ${WRKSRC}/poppler-glib.pc ${PREFIX}/lib/pkgconfig
 
 .include "../../devel/glib2/buildlink3.mk"
-BUILDLINK_DEPENDS.poppler+=     poppler>=${POPPLER_VERS}
+BUILDLINK_API_DEPENDS.poppler+=     poppler>=${POPPLER_VERS}
 .include "../../print/poppler/buildlink3.mk"
 .include "../../x11/gtk2/buildlink3.mk"
 .include "../../mk/pthread.buildlink3.mk"
Index: ./print/poppler-glib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/poppler-glib/buildlink3.mk,v
retrieving revision 1.1.1.1
diff -u -r1.1.1.1 buildlink3.mk
--- ./print/poppler-glib/buildlink3.mk	9 Mar 2006 01:13:16 -0000	1.1.1.1
+++ ./print/poppler-glib/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	poppler-glib
 
 .if !empty(POPPLER_GLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.poppler-glib+=	poppler-glib>=0.4.5
+BUILDLINK_API_DEPENDS.poppler-glib+=	poppler-glib>=0.4.5
 BUILDLINK_PKGSRCDIR.poppler-glib?=	../../print/poppler-glib
 .endif	# POPPLER_GLIB_BUILDLINK3_MK
 
Index: ./print/poppler-qt/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/poppler-qt/Makefile,v
retrieving revision 1.7
diff -u -r1.7 Makefile
--- ./print/poppler-qt/Makefile	9 Mar 2006 01:29:46 -0000	1.7
+++ ./print/poppler-qt/Makefile	4 Apr 2006 06:26:57 -0000
@@ -28,7 +28,7 @@
 	${INSTALL_DATA} ${WRKSRC}/qt/poppler-qt.h ${PREFIX}/include/poppler
 	${INSTALL_DATA} ${WRKSRC}/poppler-qt.pc ${PREFIX}/lib/pkgconfig
 
-BUILDLINK_DEPENDS.poppler+=     poppler>=${POPPLER_VERS}
+BUILDLINK_API_DEPENDS.poppler+=     poppler>=${POPPLER_VERS}
 .include "../../print/poppler/buildlink3.mk"
 .include "../../x11/qt3-libs/buildlink3.mk"
 .include "../../mk/pthread.buildlink3.mk"
Index: ./print/poppler-qt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/poppler-qt/buildlink3.mk,v
retrieving revision 1.4
diff -u -r1.4 buildlink3.mk
--- ./print/poppler-qt/buildlink3.mk	9 Mar 2006 01:29:46 -0000	1.4
+++ ./print/poppler-qt/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	poppler-qt
 
 .if !empty(POPPLER_QT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.poppler-qt+=	poppler-qt>=0.4.5nb1
+BUILDLINK_API_DEPENDS.poppler-qt+=	poppler-qt>=0.4.5nb1
 BUILDLINK_PKGSRCDIR.poppler-qt?=	../../print/poppler-qt
 .endif	# POPPLER_QT_BUILDLINK3_MK
 
Index: ./print/pslib/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/pslib/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./print/pslib/buildlink3.mk	5 Feb 2006 23:10:38 -0000	1.3
+++ ./print/pslib/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -21,8 +21,8 @@
 BUILDLINK_PACKAGES+=	pslib
 
 .if !empty(PSLIB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pslib+=	pslib>=0.2.6
-BUILDLINK_RECOMMENDED.pslib?=	pslib>=0.2.6nb3
+BUILDLINK_API_DEPENDS.pslib+=	pslib>=0.2.6
+BUILDLINK_ABI_DEPENDS.pslib?=	pslib>=0.2.6nb3
 BUILDLINK_PKGSRCDIR.pslib?=	../../print/pslib
 .endif	# PSLIB_BUILDLINK3_MK
 
Index: ./print/py-reportlab/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/py-reportlab/buildlink3.mk,v
retrieving revision 1.3
diff -u -r1.3 buildlink3.mk
--- ./print/py-reportlab/buildlink3.mk	5 Feb 2006 23:10:39 -0000	1.3
+++ ./print/py-reportlab/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyreportlab
 
 .if !empty(PYREPORTLAB_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyreportlab+=		${PYPKGPREFIX}-reportlab-[0-9]*
-BUILDLINK_RECOMMENDED.pyreportlab?=	${PYPKGPREFIX}-reportlab>=1.20nb2
+BUILDLINK_API_DEPENDS.pyreportlab+=		${PYPKGPREFIX}-reportlab-[0-9]*
+BUILDLINK_ABI_DEPENDS.pyreportlab?=	${PYPKGPREFIX}-reportlab>=1.20nb2
 BUILDLINK_PKGSRCDIR.pyreportlab?=	../../print/py-reportlab
 .endif	# PYREPORTLAB_BUILDLINK3_MK
 
Index: ./print/py-reportlab-renderPM/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/py-reportlab-renderPM/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./print/py-reportlab-renderPM/buildlink3.mk	5 Feb 2006 23:10:39 -0000	1.2
+++ ./print/py-reportlab-renderPM/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -13,8 +13,8 @@
 BUILDLINK_PACKAGES+=	pyrlrenderpm
 
 .if !empty(PYRLRENDERPM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.pyrlrenderpm+=	${PYPKGPREFIX}-reportlab-renderPM-[0-9]*
-BUILDLINK_RECOMMENDED.pyrlrenderpm?=	${PYPKGPREFIX}-reportlab-renderPM>=0.9nb2
+BUILDLINK_API_DEPENDS.pyrlrenderpm+=	${PYPKGPREFIX}-reportlab-renderPM-[0-9]*
+BUILDLINK_ABI_DEPENDS.pyrlrenderpm?=	${PYPKGPREFIX}-reportlab-renderPM>=0.9nb2
 BUILDLINK_PKGSRCDIR.pyrlrenderpm?=	../../print/py-reportlab-renderPM
 .endif	# PYRLRENDERPM_BUILDLINK3_MK
 
Index: ./print/tcl-pdflib/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/print/tcl-pdflib/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- ./print/tcl-pdflib/Makefile	5 Feb 2006 23:10:39 -0000	1.13
+++ ./print/tcl-pdflib/Makefile	4 Apr 2006 06:26:57 -0000
@@ -6,7 +6,7 @@
 PKGREVISION=		4
 COMMENT=		Tcl interface to PDFlib for generating PDF files
 
-BUILDLINK_DEPENDS.pdflib+=	pdflib>=${PDFLIB_BASE_VERS}
+BUILDLINK_API_DEPENDS.pdflib+=	pdflib>=${PDFLIB_BASE_VERS}
 
 CONFIGURE_ARGS+=	--with-tcl=${TCLSH:Q}
 CONFIGURE_ARGS+=        --with-tclincl="${BUILDLINK_PREFIX.tcl}/include"
Index: ./print/teTeX/module.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/teTeX/module.mk,v
retrieving revision 1.12
diff -u -r1.12 module.mk
--- ./print/teTeX/module.mk	14 Mar 2006 01:14:32 -0000	1.12
+++ ./print/teTeX/module.mk	4 Apr 2006 06:26:57 -0000
@@ -19,7 +19,7 @@
 TEX_FONTMAPS?=		# empty
 
 .if !empty(TEX_FONTMAPS)
-BUILDLINK_DEPENDS.teTeX-bin+=	teTeX-bin>=3.0nb4
+BUILDLINK_API_DEPENDS.teTeX-bin+=	teTeX-bin>=3.0nb4
 .endif
 
 FILES_SUBST+=		MKTEXLSR="${LOCALBASE}/bin/mktexlsr"
Index: ./print/teTeX-bin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/teTeX-bin/buildlink3.mk,v
retrieving revision 1.6
diff -u -r1.6 buildlink3.mk
--- ./print/teTeX-bin/buildlink3.mk	5 Feb 2006 23:10:39 -0000	1.6
+++ ./print/teTeX-bin/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	teTeX-bin
 
 .if !empty(TETEX_BIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.teTeX-bin+=	teTeX-bin-2.[0-9]*
-BUILDLINK_RECOMMENDED.teTeX-bin?=	teTeX-bin>=2.0.2nb6
+BUILDLINK_API_DEPENDS.teTeX-bin+=	teTeX-bin-2.[0-9]*
+BUILDLINK_ABI_DEPENDS.teTeX-bin?=	teTeX-bin>=2.0.2nb6
 BUILDLINK_PKGSRCDIR.teTeX-bin?=	../../print/teTeX-bin
 .endif	# TETEX_BIN_BUILDLINK3_MK
 
Index: ./print/teTeX1-bin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/teTeX1-bin/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./print/teTeX1-bin/buildlink3.mk	5 Feb 2006 23:10:39 -0000	1.5
+++ ./print/teTeX1-bin/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,9 +11,9 @@
 BUILDLINK_PACKAGES+=	teTeX-bin
 
 .if !empty(TETEX_BIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.teTeX-bin+=	teTeX-bin-1.[0-9]*
+BUILDLINK_API_DEPENDS.teTeX-bin+=	teTeX-bin-1.[0-9]*
 BUILDLINK_DEPMETHOD.teTeX-bin?=	build
-BUILDLINK_RECOMMENDED.teTeX-bin?=	teTeX-bin>=1.0.7nb6
+BUILDLINK_ABI_DEPENDS.teTeX-bin?=	teTeX-bin>=1.0.7nb6
 BUILDLINK_PKGSRCDIR.teTeX-bin?=	../../print/teTeX1-bin
 .endif	# TETEX_BIN_BUILDLINK3_MK
 
Index: ./print/teTeX3-bin/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/teTeX3-bin/buildlink3.mk,v
retrieving revision 1.5
diff -u -r1.5 buildlink3.mk
--- ./print/teTeX3-bin/buildlink3.mk	5 Feb 2006 23:10:39 -0000	1.5
+++ ./print/teTeX3-bin/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	teTeX-bin
 
 .if !empty(TETEX_BIN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.teTeX-bin+=	teTeX-bin>=3.0nb2
-BUILDLINK_RECOMMENDED.teTeX-bin?=	teTeX-bin>=3.0nb7
+BUILDLINK_API_DEPENDS.teTeX-bin+=	teTeX-bin>=3.0nb2
+BUILDLINK_ABI_DEPENDS.teTeX-bin?=	teTeX-bin>=3.0nb7
 BUILDLINK_PKGSRCDIR.teTeX-bin?=	../../print/teTeX3-bin
 .endif	# TETEX_BIN_BUILDLINK3_MK
 
Index: ./print/transfig/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/transfig/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./print/transfig/buildlink3.mk	5 Feb 2006 23:10:41 -0000	1.2
+++ ./print/transfig/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	transfig
 
 .if !empty(TRANSFIG_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.transfig+=	transfig>=3.2.4
-BUILDLINK_RECOMMENDED.transfig?=	transfig>=3.2.5alpha7nb1
+BUILDLINK_API_DEPENDS.transfig+=	transfig>=3.2.4
+BUILDLINK_ABI_DEPENDS.transfig?=	transfig>=3.2.5alpha7nb1
 BUILDLINK_PKGSRCDIR.transfig?=	../../print/transfig
 .endif	# TRANSFIG_BUILDLINK3_MK
 
Index: ./print/xfce4-print/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/print/xfce4-print/buildlink3.mk,v
retrieving revision 1.12
diff -u -r1.12 buildlink3.mk
--- ./print/xfce4-print/buildlink3.mk	17 Feb 2006 06:49:24 -0000	1.12
+++ ./print/xfce4-print/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	xfce4-print
 
 .if !empty(XFCE4_PRINT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.xfce4-print+=	xfce4-print>=4.2.3
-BUILDLINK_RECOMMENDED.xfce4-print?=	xfce4-print>=4.2.3nb2
+BUILDLINK_API_DEPENDS.xfce4-print+=	xfce4-print>=4.2.3
+BUILDLINK_ABI_DEPENDS.xfce4-print?=	xfce4-print>=4.2.3nb2
 BUILDLINK_PKGSRCDIR.xfce4-print?=	../../print/xfce4-print
 .endif	# XFCE4_PRINT_BUILDLINK3_MK
 
Index: ./security/PAM/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/PAM/buildlink3.mk,v
retrieving revision 1.20
diff -u -r1.20 buildlink3.mk
--- ./security/PAM/buildlink3.mk	5 Feb 2006 23:10:42 -0000	1.20
+++ ./security/PAM/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	linux-pam
 
 .if !empty(LINUX_PAM_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.linux-pam+=		PAM>=0.75
-BUILDLINK_RECOMMENDED.linux-pam+=	PAM>=0.77nb5
+BUILDLINK_API_DEPENDS.linux-pam+=		PAM>=0.75
+BUILDLINK_ABI_DEPENDS.linux-pam+=	PAM>=0.77nb5
 BUILDLINK_PKGSRCDIR.linux-pam?=		../../security/PAM
 .endif	# LINUX_PAM_BUILDLINK3_MK
 
Index: ./security/PAM/builtin.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/PAM/builtin.mk,v
retrieving revision 1.12
diff -u -r1.12 builtin.mk
--- ./security/PAM/builtin.mk	1 Jun 2005 18:03:20 -0000	1.12
+++ ./security/PAM/builtin.mk	4 Apr 2006 06:26:57 -0000
@@ -33,7 +33,7 @@
 .    if defined(BUILTIN_PKG.linux-pam) && \
         !empty(IS_BUILTIN.linux-pam:M[yY][eE][sS])
 USE_BUILTIN.linux-pam=	yes
-.      for _dep_ in ${BUILDLINK_DEPENDS.linux-pam}
+.      for _dep_ in ${BUILDLINK_API_DEPENDS.linux-pam}
 .        if !empty(USE_BUILTIN.linux-pam:M[yY][eE][sS])
 USE_BUILTIN.linux-pam!=							\
 	if ${PKG_ADMIN} pmatch ${_dep_:Q} ${BUILTIN_PKG.linux-pam:Q}; then \
Index: ./security/aide/Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/security/aide/Makefile,v
retrieving revision 1.24
diff -u -r1.24 Makefile
--- ./security/aide/Makefile	4 Mar 2006 21:30:33 -0000	1.24
+++ ./security/aide/Makefile	4 Apr 2006 06:26:57 -0000
@@ -10,7 +10,7 @@
 HOMEPAGE=	http://www.cs.tut.fi/~rammer/aide.html
 COMMENT=	Free intrusion detection system for checking file integrity
 
-BUILDLINK_DEPENDS.mhash?=	mhash>=0.8.17
+BUILDLINK_API_DEPENDS.mhash?=	mhash>=0.8.17
 
 
 GNU_CONFIGURE=	yes
Index: ./security/beecrypt/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/beecrypt/buildlink3.mk,v
retrieving revision 1.2
diff -u -r1.2 buildlink3.mk
--- ./security/beecrypt/buildlink3.mk	3 Oct 2004 00:18:07 -0000	1.2
+++ ./security/beecrypt/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,8 +11,8 @@
 BUILDLINK_PACKAGES+=	beecrypt
 
 .if !empty(BEECRYPT_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.beecrypt+=	beecrypt>=3.0.0
-BUILDLINK_RECOMMENDED.beecrypt+=	beecrypt>=3.0.0nb1
+BUILDLINK_API_DEPENDS.beecrypt+=	beecrypt>=3.0.0
+BUILDLINK_ABI_DEPENDS.beecrypt+=	beecrypt>=3.0.0nb1
 BUILDLINK_PKGSRCDIR.beecrypt?=	../../security/beecrypt
 .endif	# BEECRYPT_BUILDLINK3_MK
 
Index: ./security/botan/buildlink3.mk
===================================================================
RCS file: /cvsroot/pkgsrc/security/botan/buildlink3.mk,v
retrieving revision 1.1
diff -u -r1.1 buildlink3.mk
--- ./security/botan/buildlink3.mk	13 Feb 2006 17:19:42 -0000	1.1
+++ ./security/botan/buildlink3.mk	4 Apr 2006 06:26:57 -0000
@@ -11,7 +11,7 @@
 BUILDLINK_PACKAGES+=	botan
 
 .if !empty(BOTAN_BUILDLINK3_MK:M+)
-BUILDLINK_DEPENDS.botan+=	botan>=1.4.11
+BUILDLINK_API_DEPENDS.botan+=	botan>=1.4.11
 BUILDLINK_PKGSRCDIR.botan?=	../../security/botan
 .endif	# BOTAN_BUILDLINK3_MK
 
